> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Electricity

> Purchase prepaid or postpaid electricity tokens. Supports all major Nigerian electricity distribution companies .

Purchase prepaid or postpaid electricity tokens. Supports all major Nigerian electricity distribution companies (DISCOs).

## Get Electricity Billers

Retrieve the list of available electricity providers and their plan types.

```
GET /api/v1/business/vas/electricity/billers
```

**Signature required:** No

### Request example

```bash theme={null}
curl -X GET "https://api.usenumero.com/numeroaccount/api/v1/business/vas/electricity/billers" \
  -H "X-Numero-Api-Key: your_api_key" \
```

### Response

```json theme={null}
{
  "data": {
    "billers": [
      {
        "itemCode": "IKEDC_PREPAID",
        "itemName": "Ikeja Electric - Prepaid",
        "category": "electricity"
      },
      {
        "itemCode": "EKEDC_POSTPAID",
        "itemName": "Eko Electric - Postpaid",
        "category": "electricity"
      }
    ]
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```

***

## Validate Meter Number

Verify a customer's meter number before purchasing electricity.

```
POST /api/v1/business/vas/electricity/validate
```

**Signature required:** Yes

### Request body

| Field           | Type   | Required | Description                          |
| --------------- | ------ | -------- | ------------------------------------ |
| `type`          | string | Yes      | Biller item code (from billers list) |
| `accountNumber` | string | Yes      | Customer's meter number              |

### Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/vas/electricity/validate" \
  -H "Content-Type: application/json" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -d '{
    "type": "IKEDC_PREPAID",
    "accountNumber": "04123456789"
  }'
```

### Response

```json theme={null}
{
  "data": {
    "message": "Validation successful",
    "data": {
      "customerName": "John Doe",
      "meterNumber": "04123456789",
      "address": "123 Allen Avenue, Ikeja"
    }
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```

***

## Purchase Electricity

Purchase an electricity token for a validated meter.

```
POST /api/v1/business/vas/electricity/purchase
```

**Signature required:** Yes

### Request body

| Field           | Type   | Required | Description                       |
| --------------- | ------ | -------- | --------------------------------- |
| `reference`     | string | Yes      | Your unique transaction reference |
| `type`          | string | Yes      | Biller item code                  |
| `disco`         | string | Yes      | Distribution company code         |
| `accountNumber` | string | Yes      | Customer's meter number           |
| `phone`         | string | Yes      | Customer's phone number           |
| `amount`        | number | Yes      | Amount in Naira                   |

### Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/vas/electricity/purchase" \
  -H "Content-Type: application/json" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "reference": "ELEC-20240115-001",
    "type": "IKEDC_PREPAID",
    "disco": "IKEDC",
    "accountNumber": "04123456789",
    "phone": "08012345678",
    "amount": 5000
  }'
```

### Response

```json theme={null}
{
  "data": {
    "message": "Purchase successful",
    "reference": "ELEC-20240115-001",
    "data": {
      "token": "1234-5678-9012-3456-7890",
      "units": "25.5 kWh"
    }
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```
